package controllers

import (
	"eta/eta_mini_crm/models"
	"eta/eta_mini_crm/models/response"
	"eta/eta_mini_crm/services"
)

type SysDepartmentController struct {
	BaseAuthController
}

// @Title 获取部门列表
// @Description 获取部门列表接口
// @Success 200 {object} system.SysDepartmentListResp
// @router /list [get]
func (this *SysDepartmentController) List() {
	br := new(models.BaseResponse).Init()
	defer func() {
		this.Data["json"] = br
		this.ServeJSON()
	}()

	list, err := services.GetSysDepartmentList()
	if err != nil {
		br.Msg = "获取部门列表失败"
		br.ErrMsg = "获取部门列表失败，Err" + err.Error()
		return
	}

	resp := new(response.SysDepartmentListResp)
	resp.List = list
	br.Ret = 200
	br.Success = true
	br.Msg = "获取成功"
	br.Data = resp
}
