package models

import (
	"time"

	"github.com/beego/beego/v2/client/orm"
)

type SysRole struct {
	SysRoleId   int       `description:"角色id"`
	SysRoleName string    `description:"姓名"`
	CreateTime  time.Time `description:"创建时间"`
	ModifyTime  time.Time `description:"更新时间"`
}

func (s *SysRole) Save() (err error) {
	o := orm.NewOrmUsingDB("master")
	_, err = o.InsertOrUpdate(s)
	return
}

func GetSysRoleById(id int) (item *SysRole, err error) {
	o := orm.NewOrmUsingDB("master")
	sql := `SELECT * FROM sys_role WHERE sys_role_id=?`
	err = o.Raw(sql, id).QueryRow(&item)
	return
}

func GetSysRoleListCount() (count int, err error) {
	o := orm.NewOrmUsingDB("master")
	sql := `SELECT COUNT(1) AS count FROM sys_role `
	err = o.Raw(sql).QueryRow(&count)
	return
}

func GetSysRoleList(startSize, pageSize int) (items []*SysRole, err error) {
	o := orm.NewOrmUsingDB("master")
	sql := `SELECT * FROM sys_role ORDER BY modify_time DESC LIMIT ?,?`
	_, err = o.Raw(sql, startSize, pageSize).QueryRows(&items)
	return
}

type SysMenu struct {
}

type SysRoleMenuMapping struct {
}
